"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const instantiationService = require("./instantiationService");
const descriptors_1 = require("./descriptors");
exports.Descriptor = descriptors_1.Descriptor;
const instantiation_1 = require("./instantiation");
exports.createDecorator = instantiation_1.createDecorator;
exports.IInstantiationService = instantiation_1.IInstantiationService;
exports.optional = instantiation_1.optional;
const serviceCollection_1 = require("./serviceCollection");
exports.ServiceCollection = serviceCollection_1.ServiceCollection;
const extensions_1 = require("./extensions");
exports.registerSingleton = extensions_1.registerSingleton;
exports.getSingletonServiceDescriptors = extensions_1.getSingletonServiceDescriptors;
exports.InstantiationService = instantiationService.InstantiationService;
